## flowblade 2.20

=== debian/changelog ===
flowblade (2.20-2) unstable; urgency=medium

  * Team Upload
  * Remove stub dh-buildinfo build-dependency
  * Sort d/control with debputy

  [ Bastian Germann ]
  * Drop upstream-tarball.mk in favour of uscan

 -- Alexandre Detiste <tchet@debian.org>  Fri, 01 Aug 2025 22:57:02 +0200

flowblade (2.20-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Fri, 28 Mar 2025 08:09:02 +0000

flowblade (2.18.1-3) unstable; urgency=medium

  * Team upload.
  * Build-Depend on python3-setuptools. (Closes: #1080591)

 -- Bastian Germann <bage@debian.org>  Mon, 10 Mar 2025 21:37:01 +0100
