=== debian/control ===
Source: flowblade
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Bartosz Fenski <fenio@debian.org>,
 Alex Myczko <tar@debian.org>,
Build-Depends:
 cdbs (>= 0.4.147~),
 debhelper (>= 10),
 dh-python,
 libfont-ttf-perl,
 libimage-exiftool-perl,
 libregexp-assemble-perl,
 licensecheck,
 python3,
 python3-setuptools,
Standards-Version: 4.7.1
X-Python3-Version: >= 3.6
Section: video
Priority: optional
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/flowblade.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/flowblade
Homepage: https://github.com/jliljebl/flowblade
X-Style: black

Package: flowblade
Architecture: all
Depends:
 ffmpeg,
 libmlt-data,
 python3-opencv,
 python3-usb1,
 ${cdbs:Depends},
 ${misc:Depends},
 ${python3:Depends},
Description: non-linear video editor
 Flowblade Movie Editor is designed to provide a fast, precise and
 as-simple-as-possible editing experience.
 .
 Flowblade employs film style editing paradigm in which clips are
 usually automatically placed tightly after the previous clip - or
 between two existing clips - when they are inserted on the timeline.
 Edits are fine-tuned by trimming in and out points of clips, or by
 cutting and deleting parts of clips. Film style editing is faster for
 creating programs with mostly straight cuts and audio splits, but may
 be slower when programs contain complex composites unless correct work
 flow is followed.
