## flowblade 2.22.1.1

=== debian/changelog ===
flowblade (2.22.1.1-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Fri, 05 Sep 2025 10:33:29 -0500

flowblade (2.20-3) unstable; urgency=medium

  * Team upload.
  * Replace CDBS build with DebHelper 13 (Closes: #1040155)

 -- Alexandre Detiste <tchet@debian.org>  Thu, 21 Aug 2025 22:27:43 +0200
