=== debian/control ===
--- 
+++ 
@@ -5,20 +5,16 @@
  Bartosz Fenski <fenio@debian.org>,
  Alex Myczko <tar@debian.org>,
 Build-Depends:
- cdbs (>= 0.4.147~),
- debhelper (>= 10),
+ debhelper-compat (= 13),
  dh-python,
  libfont-ttf-perl,
  libimage-exiftool-perl,
  libregexp-assemble-perl,
- licensecheck,
  python3,
  python3-setuptools,
-Standards-Version: 4.7.1
-X-Python3-Version: >= 3.6
+Standards-Version: 4.7.2
 Section: video
 Priority: optional
-Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/flowblade.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/flowblade
 Homepage: https://github.com/jliljebl/flowblade
@@ -31,7 +27,22 @@
  libmlt-data,
  python3-opencv,
  python3-usb1,
- ${cdbs:Depends},
+ python3-cairo,
+ python3-numpy,
+ python3-dbus,
+ python3-pil,
+ python3-gi,
+ python3-gi-cairo,
+ gir1.2-glib-2.0,
+ gir1.2-gtk-3.0,
+ gir1.2-pango-1.0,
+ gir1.2-gdkpixbuf-2.0,
+ python3-mlt,
+ librsvg2-common,
+ frei0r-plugins,
+ swh-plugins,
+ gmic,
+ python3:any,
  ${misc:Depends},
  ${python3:Depends},
 Description: non-linear video editor
