=== debian/watch ===
# run "uscan --report" to check - see README.source for how to update
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/jliljebl/flowblade/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian
