## flowblade 2.24

=== debian/changelog ===
flowblade (2.24-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Delete d/patches; none are applied.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 24 Jan 2026 07:28:03 -0800

flowblade (2.24-1) experimental; urgency=medium

  * New upstream version.
  * d/control: add dh-sequence-python3 to build-depends.
  * d/README.Debian: added.

 -- Alex Myczko <tar@debian.org>  Mon, 08 Dec 2025 11:30:23 +0100
