=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: flowblade
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Bartosz Fenski <fenio@debian.org>,
  Alex Myczko <tar@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-python3,
  dh-python,
  libfont-ttf-perl,
  libimage-exiftool-perl,
